using Darkmatter.Core.Contracts.Features.GameplayFlow;
using Darkmatter.Features.GameplayFlow.SceneRefs;
using Darkmatter.Libs.Installers;
using UnityEngine;
using VContainer;
using VContainer.Unity;

namespace Darkmatter.Features.GameplayFlow
{
    public class GameplayFlowFeatureModule : MonoBehaviour, IModule
    {
        [SerializeField] private GameplaySceneRefs sceneRefs;

        public void Register(IContainerBuilder builder)
        {
            if (sceneRefs != null)
                builder.RegisterComponent<IGameplaySceneRefs>(sceneRefs);
        }
    }
}